<?php

namespace Sibs\Sibs\Api;

interface SibsSBOInterface
{
    /**
     * loginSBO.
     *
     * @return \Magento\Framework\App\ResponseInterface
     */
    public function loginSBO();

    /**
     * activateSMSCode.
     *
     * @return \Magento\Framework\App\ResponseInterface
     */
    public function activateSMSCode();

    /**
     * resendSMSCode.
     *
     * @return \Magento\Framework\App\ResponseInterface
     */
    public function resendSMSCode();

    /**
     * getTerminalList.
     *
     * @return \Magento\Framework\App\ResponseInterface
     */
    public function getTerminalList();

    /**
     * getWebhookList.
     *
     * @return \Magento\Framework\App\ResponseInterface
     */
    public function getWebhookList();
}
